org.jbpm.services.cdi.impl.manager

## Class RuntimeManagerProducer

- java.lang.Object
- - org.jbpm.services.cdi.impl.manager.RuntimeManagerProducer

-     @ApplicationScoped
      public class RuntimeManagerProducer
      extends Object

  Producer method used to build instances of `RuntimeManager` automatically by CDI container. It contains dedicated producer methods for all supported manager types:
  - singleton
  - per request
  - per process instance
  It requires two bean injected that are required for successful instantiation of `RuntimeManager`:
  - `RuntimeEnvironment`
  - `RuntimeManagerFactory`
  Injections are controlled with qualifiers so same should be used at injection points that should receive them
  See Also:
    `Singleton`, `PerRequest`, `PerProcessInstance`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeManagerProducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.manager.RuntimeManager` | `newPerProcessInstanceRuntimeManager()`
    `org.kie.api.runtime.manager.RuntimeManager` | `newPerRequestRuntimeManager()`
    `org.kie.api.runtime.manager.RuntimeManager` | `newSingletonRuntimeManager()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeManagerProducer

          public RuntimeManagerProducer()

  - ### Method Detail

    - #### newSingletonRuntimeManager

          @Produces
          public org.kie.api.runtime.manager.RuntimeManager newSingletonRuntimeManager()

    - #### newPerRequestRuntimeManager

          @Produces
          public org.kie.api.runtime.manager.RuntimeManager newPerRequestRuntimeManager()

    - #### newPerProcessInstanceRuntimeManager

          @Produces
          public org.kie.api.runtime.manager.RuntimeManager newPerProcessInstanceRuntimeManager()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.